Create email marketing automation activate
curl --request POST \
--url https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"shopId": "<string>",
"type": "BROADCAST",
"status": "DRAFT",
"name": "<string>",
"subject": "<string>",
"templateId": "<string>",
"listId": "<string>",
"segmentId": "<string>",
"fromName": "<string>",
"fromEmail": "<string>",
"replyToEmail": "<string>",
"snapshotSubject": "<string>",
"snapshotPreheader": "<string>",
"snapshotFromName": "<string>",
"snapshotFromEmail": "<string>",
"snapshotReplyToEmail": "<string>",
"snapshotHtmlCompiled": "<string>",
"snapshotTextCompiled": "<string>",
"snapshotTemplateId": "<string>",
"snapshotTemplateContentHash": "<string>",
"snapshotAudience": {},
"snapshotTakenAt": "<string>",
"scheduleAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"sesTenantName": "<string>",
"idempotencyKey": "<string>",
"targetRules": {},
"stats": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"cancelledAt": "<string>"
}
}{
"status": 123,
"data": null,
"error": "<string>",
"message": "<string>",
"log": null,
"env": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}Email Marketing
Create email marketing automation activate
Developer API operation for POST /dev/v1/email-marketing/automations//activate.
POST
/
dev
/
v1
/
email-marketing
/
automations
/
{id}
/
activate
Create email marketing automation activate
curl --request POST \
--url https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/email-marketing/automations/{id}/activate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"shopId": "<string>",
"type": "BROADCAST",
"status": "DRAFT",
"name": "<string>",
"subject": "<string>",
"templateId": "<string>",
"listId": "<string>",
"segmentId": "<string>",
"fromName": "<string>",
"fromEmail": "<string>",
"replyToEmail": "<string>",
"snapshotSubject": "<string>",
"snapshotPreheader": "<string>",
"snapshotFromName": "<string>",
"snapshotFromEmail": "<string>",
"snapshotReplyToEmail": "<string>",
"snapshotHtmlCompiled": "<string>",
"snapshotTextCompiled": "<string>",
"snapshotTemplateId": "<string>",
"snapshotTemplateContentHash": "<string>",
"snapshotAudience": {},
"snapshotTakenAt": "<string>",
"scheduleAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"sesTenantName": "<string>",
"idempotencyKey": "<string>",
"targetRules": {},
"stats": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"cancelledAt": "<string>"
}
}{
"status": 123,
"data": null,
"error": "<string>",
"message": "<string>",
"log": null,
"env": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}